List payments
curl --request GET \
--url https://api.beta.suby.fi/v3/payments \
--header 'X-Suby-Api-Key: <api-key>'import requests
url = "https://api.beta.suby.fi/v3/payments"
headers = {"X-Suby-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Suby-Api-Key': '<api-key>'}};
fetch('https://api.beta.suby.fi/v3/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"id": "pay_abc123",
"organizationId": "<string>",
"customerId": "<string>",
"productId": "<string>",
"subscriptionId": "<string>",
"declineCode": "<string>",
"displayName": "<string>",
"displayDescription": "<string>",
"displayImageUrl": "<string>",
"priceCents": "<string>",
"currency": "<string>",
"tokenAmount": "<string>",
"tokenFeeAmount": "<string>",
"quoteFiatAmountCents": 123,
"quoteFiatCurrency": "<string>",
"grossAmountCents": 123,
"platformFeeCents": 123,
"merchantNetCents": 123,
"vatAmountCents": 123,
"vatRateBps": 123,
"taxInclusive": true,
"refundedAmountCents": 123,
"refundedAt": "2023-11-07T05:31:56Z",
"cryptoSettlementMode": "<string>",
"settlementChainId": 123,
"settlementAsset": "<string>",
"settlementRecipient": "<string>",
"depositAddress": "<string>",
"settlementTxHash": "<string>",
"successUrl": "<string>",
"cancelUrl": "<string>",
"externalRef": "<string>",
"paymentReceivedAt": "2023-11-07T05:31:56Z",
"paymentSettledAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"statusTimeline": [
{
"at": "2023-11-07T05:31:56Z"
}
],
"asset": {
"chainId": 123,
"symbol": "<string>",
"decimals": 123,
"address": "<string>"
},
"deposit": {
"expected": "<string>",
"received": "<string>",
"remaining": "<string>",
"confirmations": {
"observed": 123,
"required": 123,
"detectedAt": "2023-11-07T05:31:56Z"
},
"warnings": [
{
"message": "<string>",
"data": {}
}
]
}
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"total": 123
}
},
"message": "<string>"
}{
"success": false,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}{
"success": false,
"error": "VALIDATION_ERROR",
"message": "Validation failed",
"data": {
"fieldErrors": [
{
"field": "method",
"message": "method is a required field"
}
]
}
}Payments
List payments
GET
/
v3
/
payments
List payments
Authorizations
Secret API key. sk_live_… (production) or sk_sandbox_… (sandbox).
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque pagination cursor from a previous pagination.nextCursor.
Available options:
PENDING, AUTHORIZED, PENDING_3DS, PENDING_REDIRECT, BRIDGING, RECEIVED, PARTIAL, COMPLETED, FAILED, DECLINED, REFUNDED, PARTIALLY_REFUNDED, CANCELED, EXPIRED One cus_xxx id, or a comma-separated list to match several customers.
Example:
"cus_abc123"
Exact-match filter on the merchant business reference set at create.
Maximum string length:
120Example:
"pro_abc123"
Example:
"pl_abc123"
Maximum string length:
64Inclusive createdAt lower bound, in ms epoch.
Required range:
x >= 0Example:
1743638400000
Inclusive createdAt upper bound, in ms epoch.
Required range:
x >= 0Example:
1751414400000
Was this page helpful?
⌘I

